Jmessage Flutter Plugin

QQ Group pub package

jmessage_flutter

安装

在工程 pubspec.yaml 中加入 dependencies

//github 集成  
dependencies:
  jmessage_flutter:
    git:
      url: git://github.com/jpush/jmessage-flutter-plugin.git
      ref: master

//pub.dev 集成
dependencies:
  jmessage_flutter: 0.6.3

配置

/android/app/build.gradle 中添加下列代码:

android {
    ......
    defaultConfig {
        applicationId "com.xxx.xxx" //JPush上注册的包名.
        ......

        ndk {
            //选择要添加的对应cpu类型的.so库。
            abiFilters 'armeabi', 'armeabi-v7a', 'armeabi-v8a'
            // 还可以添加 'x86', 'x86_64', 'mips', 'mips64'
        }

        manifestPlaceholders = [
            JPUSH_PKGNAME : applicationId,
            JPUSH_APPKEY : "你的appkey", //JPush上注册的包名对应的appkey.
            JPUSH_CHANNEL : "developer-default", //暂时填写默认值即可.
        ]
        ......
    }
    ......
}

使用

import 'package:jmessage_flutter/jmessage_flutter.dart';

APIs

注意 : 需要先调用 JmessageFlutter().init 来初始化插件,才能保证其它功能正常工作。

参考

New
(138)
• Released: Apr 25, 2020, 08:52 PM

Jmessage Flutter Plugin

Author: jpush
Item was Featured Author was Featured Bought between 100 and 500 items Referred more than 1000 members Author had a Free File of the Month Contributed a Blog Post Helped protect FrontendFun against copyright violations Reviewer FrontendFun Developer Site Administrator Moderator Blog Editor
FREE
JMessage's Flutter plugin (Android & iOS). 极光推送官方支持的 Flutter 插件(Android & iOS)。 size
git clone https://github.com/jpush/jmessage-flutter-plugin.git